#include "fat32.h"

unchar VCalcFnameSum(unchar *b)
// 8+3ファイル名からVFAT判定に必要なCheckSum値を計算する
{
unchar sum=0;
int i;
	for (i=0;i<8+3-1;i++) {
		sum+=*b++;
		// ROR相当である
		if (sum&BIT0) sum=BIT7|(sum>>1);
		else sum>>=1;
	}
	// 最後の１文字は単純加算のみ
	sum+=*b;
	return(sum);
}
